Skip to main content

Create a payment link

POST 

/v3/payments/links

Request to create a payment link

Request

Header Parameters

    Api-Key stringrequired

    Unique key used to authenticate API requests.

    Signature stringrequired

    The Signature header is used to ensure the request’s body integrity and to confirm that its content has not changed.

    Idempotency-Key stringrequired

    Possible values: <= 45 characters

    A unique identifier used to ensure idempotent behavior. If the business application request fails or you receive a timeout you can retry the request with the same Idempotency-Key to guarantee that only one business object is created.

    User-Agent string

    The User-Agent request header contains a characteristic string that allows the network protocol peers to identify the application type, operating system, software vendor or software version of the requesting software user agent.

    Accept stringrequired

    The Accept request HTTP header advertises which content types, expressed as MIME types, the client is able to understand. Can be set to */*.

    Content-Type stringrequired

    The Content-Type entity header is used to indicate the media type of the resource.

Body

required

Request body for payment link request

    amount int64required

    A positive integer in the smallest currency unit between 1.00PLN and 1,000,000.00PLN.

    Possible values: <= 10 characters, >= 100 and <= 100000000

    currency Currency (string)

    Important: Currently EUR,USD,GBP currencies are supported only for card payments.

    If you are interested in processing card payments in foreign currencies, please contact us at support@paynow.pl

    Possible values: [PLN, EUR, USD, GBP]

    Default value: PLN
    externalId stringrequired

    Unique identifier given by Merchant to this payment request

    Possible values: <= 100 characters

    description stringrequired

    Payment description displayed in the web interface

    Possible values: <= 255 characters

    continueUrl string

    The URL that the buyer will be redirected to, after making payment. This URL overrides return_url value from PoS configuration

    Possible values: <= 1000 characters

    buyer

    object

    required

    Information about the buyer

    email emailrequired

    Buyer's e-mail address

    Possible values: <= 50 characters

    firstName string

    Buyer's first name

    Possible values: <= 50 characters

    lastName string

    Buyer's last name

    Possible values: <= 50 characters

    phone

    object

    Phone number with country calling code

    prefix stringrequired

    Must consist of 1-4 digits preceded by a plus (+) character

    Possible values: <= 5 characters

    number integerrequired

    Possible values: <= 10 characters

    address

    object

    Buyer's billing and shipping addresses. Required to initiate PayPo payment.

    billing

    object

    street string

    Possible values: <= 100 characters, >= 1

    houseNumber string

    Possible values: <= 16 characters

    apartmentNumber string

    Possible values: <= 16 characters

    zipcode string

    Possible values: <= 10 characters, >= 1, Value must match regular expression ^[A-Z0-9-_ ]+$

    city string

    Possible values: >= 2 characters and <= 100 characters

    county string

    Possible values: <= 50 characters

    country string

    Country code (ISO 3166-1 alfa-2)

    Possible values: >= 2 characters and <= 2 characters

    shipping

    object

    street string

    Possible values: <= 100 characters, >= 1

    houseNumber string

    Possible values: <= 16 characters

    apartmentNumber string

    Possible values: <= 16 characters

    zipcode string

    Possible values: <= 10 characters, >= 1, Value must match regular expression ^[A-Z0-9-_ ]+$

    city string

    Possible values: >= 2 characters and <= 100 characters

    county string

    Possible values: <= 50 characters

    country string

    Country code (ISO 3166-1 alfa-2)

    Possible values: >= 2 characters and <= 2 characters

    locale string

    Buyer's language tag compliant with BCP47/RFC5646.

    Possible values: <= 35 characters

    Default value: pl-PL
    externalId string

    Buyer's external system identifier

    Possible values: <= 100 characters

    deviceFingerprint string

    Fingerprint of Buyer’s device. See what should be included here

    validityTime integer

    Timeout for transaction execution [seconds]

    Possible values: >= 60 and <= 7862400

    Default value: 7862400
    payoutAccount string

    Payout account for Mass Collect, overriding default payout account; required only in Mass Collect payments

    Possible values: <= 30 characters

Responses

Created

Schema

    url stringrequired

    Payment link URL to be provided to the buyer to complete the payment

    paymentId paymentIdrequired

    Unique ID of a payment generated by Paynow

    status stringrequired

    Status of the payment right after submitting a payment request. More information you can find here.

    Possible values: [NEW, PENDING, ERROR]

Loading...